<template>
  <ObTable
      :items="items"
      :columns="columns"
      :functional-panel="true"
      class="settlement-accounts"
  />
</template>

<script>
  import ObTable from 'common-components/src/obComponents/obTable';

  export default {
    name: "settlementAccounts",
    components: {
      ObTable
    },
    computed: {
      columns() {
        return [
          {
            title: '№',
            key: 'number_account',
            html: ({status, number_account}) => {
              if (status === 'base') {
                return `<div class="settlement-accounts--bold">${number_account}</div>`
              } else if (status === 'not_active') {
                return `<div class="settlement-accounts--grey">${number_account}</div>`
              } else {
                return `<div>${number_account}</div>`
              }
            }
          },
          {
            title: 'Тип счёта',
            key: 'type_account',
            html: ({status, type_account}) => {
              if (status === 'base') {
                return `<div class="settlement-accounts--bold">${type_account}</div>`
              } else if (status === 'not_active') {
                return `<div class="settlement-accounts--grey">${type_account}</div>`
              } else {
                return `<div>${type_account}</div>`
              }
            }
          },
          {
            title: 'Расчётный счёт',
            key: 'settlement',
            html: ({status, settlement}) => {
              if (status === 'base') {
                return `<div class="settlement-accounts--bold">${settlement}</div>`
              } else if (status === 'not_active') {
                return `<div class="settlement-accounts--grey">${settlement}</div>`
              } else {
                return `<div>${settlement}</div>`
              }
            }
          },
          {
            title: 'бик',
            key: 'bik',
            html: ({status, bik}) => {
              if (status === 'base') {
                return `<div class="settlement-accounts--bold">${bik}</div>`
              } else if (status === 'not_active') {
                return `<div class="settlement-accounts--grey">${bik}</div>`
              } else {
                return `<div>${bik}</div>`
              }
            }
          },
          {
            title: 'Наименование банка',
            key: 'bank',
            html: ({status, bank}) => {
              if (status === 'base') {
                return `<div class="settlement-accounts--bold">${bank}</div>`
              } else if (status === 'not_active') {
                return `<div class="settlement-accounts--grey">${bank}</div>`
              } else {
                return `<div>${bank}</div>`
              }
            }
          },
          {
            title: 'Корреспондентский счёт',
            key: 'corr_account',
            html: ({status, corr_account}) => {
              if (status === 'base') {
                return `<div class="settlement-accounts--bold">${corr_account}</div>`
              } else if (status === 'not_active') {
                return `<div class="settlement-accounts--grey">${corr_account}</div>`
              } else {
                return `<div>${corr_account}</div>`
              }
            }
          },
          {
            title: 'Статус',
            key: 'status',
            html: ({status}) => {
              if (status === 'base') {
                return '<div class="settlement-accounts--status-base"><i class="icon checked"></i> Основной счёт</div>'
              } else if (status === 'not_active') {
                return '<div class="settlement-accounts--not-active">Сделать основным</div>'
              } else {
                return '<div class="settlement-accounts--additional">Неактивен</div>'
              }
            }
          }
        ]
      },
      // todo удалить в дальнейшем этот мок
      items() {
        return [
          {
            number_account: 1,
            type_account: 'Основной расчётный счёт',
            settlement: '23085639571248428445',
            bik: '044525225',
            bank: 'ПАО “Сбербанк”',
            corr_account: '12571295722480082431',
            status: 'base'
          },
          {
            number_account: 2,
            type_account: 'Расчётный счёт',
            settlement: '24096734967237236798',
            bik: '7773438882',
            bank: 'ОАО “Альфа-Банк”',
            corr_account: '23406853049675238881',
            status: 'additional'
          },
          {
            number_account: 3,
            type_account: 'Расчётный счёт',
            settlement: '13540000009443434458',
            bik: '9924992042',
            bank: 'ПАО “Сбербанк”',
            corr_account: '00305080582357239247',
            status: 'additional'
          },
          {
            number_account: 4,
            type_account: 'Неактивный расчётный счёт',
            settlement: '24724293929999992754',
            bik: '7456377374',
            bank: 'ОАО “Промсвязьбанк”',
            corr_account: '13726857777732230048',
            status: 'not_active'
          }
        ]
      }
      // todo конец мока
    }
  }
</script>

<style lang="scss">
  .settlement-accounts {
    &--bold {
      font-weight: bold;
    }
    &--grey {
      color: $gray-slate;
    }
    &--status-base {
      color: $deep-blue;
    }
    &--not-active {
      color: $color-error;
    }
    &--additional {
      color: $color-blue-navy-blue;
    }
  }
</style>